Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class TableIconsRendererHelper<T extends javax.faces.component.UIComponent>

    java.lang.Object
      org.richfaces.renderkit.html.TableIconsRendererHelper<T>

    public abstract class TableIconsRendererHelper<T extends javax.faces.component.UIComponent>

extends java.lang.Object

Field Summary
`protected java.lang.String` | `cssClassPrefix`
`protected java.lang.String` | `cssIconsClassPrefix`
`protected java.lang.String` | `text`

Constructor Summary
`protected` | `TableIconsRendererHelper(java.lang.String text, java.lang.String cssClassPrefix)`
`protected` | `TableIconsRendererHelper(java.lang.String text, java.lang.String cssClassPrefix, java.lang.String cssIconsClassPrefix)`

Method Summary
`static void` | `encodeDivIcon(javax.faces.context.ResponseWriter writer, org.richfaces.renderkit.util.PanelIcons icon, java.lang.String styleClass, org.richfaces.renderkit.util.PanelIcons.State state)`
`void` | `encodeHeader(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
`protected abstract void` | `encodeHeaderLeftIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
`protected abstract void` | `encodeHeaderRightIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T menuItem)`
`protected void` | `encodeHeaderText(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
`protected void` | `encodeHeaderTextValue(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
`protected void` | `encodeIdIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, java.lang.String attrIconValue, java.lang.String styleClass, org.richfaces.renderkit.util.PanelIcons.State state)`
`static void` | `encodeImage(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, java.lang.String attrIconValue, java.lang.String styleClass)`
`protected void` | `encodeTdIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, java.lang.String cssClass, java.lang.String attrIconCollapsedValue, java.lang.String attrIconExpandedValue, org.richfaces.renderkit.util.PanelIcons.State state)`
`protected boolean` | `isIconRendered(java.lang.String attrIconValue)`
`static void` | `writeFacetOrAttr(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attr, java.lang.String facetName)`
`static void` | `writeFacetOrAttr(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attr, javax.faces.component.UIComponent headerFacet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    protected final java.lang.String text

### cssClassPrefix

    protected final java.lang.String cssClassPrefix

### cssIconsClassPrefix

    protected final java.lang.String cssIconsClassPrefix

Constructor Detail

### TableIconsRendererHelper

    protected TableIconsRendererHelper(java.lang.String text,
                                       java.lang.String cssClassPrefix,
                                       java.lang.String cssIconsClassPrefix)

### TableIconsRendererHelper

    protected TableIconsRendererHelper(java.lang.String text,
                                       java.lang.String cssClassPrefix)

Method Detail

### encodeHeader

    public void encodeHeader(javax.faces.context.ResponseWriter writer,
                             javax.faces.context.FacesContext context,
                             T component)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeaderText

    protected void encodeHeaderText(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    T component)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeaderTextValue

    protected void encodeHeaderTextValue(javax.faces.context.ResponseWriter writer,
                                         javax.faces.context.FacesContext context,
                                         T component)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFacetOrAttr

    public static void writeFacetOrAttr(javax.faces.context.ResponseWriter writer,
                                        javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String attr,
                                        java.lang.String facetName)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFacetOrAttr

    public static void writeFacetOrAttr(javax.faces.context.ResponseWriter writer,
                                        javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String attr,
                                        javax.faces.component.UIComponent headerFacet)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeaderLeftIcon

    protected abstract void encodeHeaderLeftIcon(javax.faces.context.ResponseWriter writer,
                                                 javax.faces.context.FacesContext context,
                                                 T component)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeaderRightIcon

    protected abstract void encodeHeaderRightIcon(javax.faces.context.ResponseWriter writer,
                                                  javax.faces.context.FacesContext context,
                                                  T menuItem)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeTdIcon

    protected void encodeTdIcon(javax.faces.context.ResponseWriter writer,
                                javax.faces.context.FacesContext context,
                                java.lang.String cssClass,
                                java.lang.String attrIconCollapsedValue,
                                java.lang.String attrIconExpandedValue,
                                org.richfaces.renderkit.util.PanelIcons.State state)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### isIconRendered

    protected boolean isIconRendered(java.lang.String attrIconValue)

### encodeIdIcon

    protected void encodeIdIcon(javax.faces.context.ResponseWriter writer,
                                javax.faces.context.FacesContext context,
                                java.lang.String attrIconValue,
                                java.lang.String styleClass,
                                org.richfaces.renderkit.util.PanelIcons.State state)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeDivIcon

    public static void encodeDivIcon(javax.faces.context.ResponseWriter writer,
                                     org.richfaces.renderkit.util.PanelIcons icon,
                                     java.lang.String styleClass,
                                     org.richfaces.renderkit.util.PanelIcons.State state)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeImage

    public static void encodeImage(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   java.lang.String attrIconValue,
                                   java.lang.String styleClass)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.